EDIT - feature request #6390

Details view for misapplied names
01/27/2017 12:09 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.8

Severity: blocker

Description

We need a details view for misapplied names to allow editing also information within the concept relationship (most important: the
relation reference). This is different to synonyms where we do not have synonym relations anymore.

For misapplied names we have the taxon secundum of the misapplied name (which should be labeled to "sensu" instead of
secundum here).

Additionally we have the concept relationships reference which might be labeled something like (misappl. sec. - but better use 1
language only).

WGB: "Da sollten wir aber noch mal Gberlegen, ob wir nicht eine weitere ,sec.“-Ausgabeform (fir misappl.) brauchen — leider kenne
ich keine lat. Abk. daflir, mtsste ich noch mal Greuter "
Walter schlagt an anderer Stelle: ,misapplied acc. to“ vor.

So the main object to be edited in the details view should be the concept relationship which includes the misapplied name taxon.

Also it would be nice to make the taxon selectable in the same way as names are selectable in the taxon details view. Feel free to
create a new ticket for this.

Related issues:

Related to EDIT - feature request #6456: Make Misapplied names visible in con... New

Related to EDIT - feature request #6559: Order misapplied names in name editor Closed
Related to EDIT - feature request #6681: Correct formatting for misapplied na... Closed
Related to EDIT - feature request #6682: Formatter and DTO for taxon relation... Closed
Related to EDIT - feature request #7215: Implement pro parte misapplied names... Closed
Related to EDIT - bug #7378: doubtful in misapplied names incorrect Closed
Blocks EDIT - feature request #6391: Show misapplied name concept relation at... New

Precedes EDIT - bug #6789: Remaining issues for misapplied name details view Closed

Associated revisions

Revision 9a5a83e1 - 06/09/2017 01:22 PM - Katja Luther

ref #6390: adapt details view for misapplied names

Revision c5ed01f6 - 06/09/2017 02:04 PM - Katja Luther

ref #6390: revert some changes and add DetailsViewPart changes

Revision 4585a268 - 06/09/2017 05:08 PM - Katja Luther

ref #6390: missed to commit the changes for NameEditor

Revision b2808f0f - 06/09/2017 05:21 PM - Katja Luther

ref #6390: minor changes

Revision af7453f9 - 06/09/2017 05:32 PM - Katja Luther

ref #6390: add all name related parts to details view of misapp

Revision fdf07285 - 07/04/2017 01:21 PM - Katja Luther

ref #6390: supplemental data view for missapplied names
History

#1 - 01/27/2017 12:13 PM - Andreas Miiller

- Blocks feature request #6391: Show misapplied name concept relation attributes in data portal added

#2 - 01/27/2017 12:15 PM - Andreas Miiller
- Description updated

#3 - 01/27/2017 03:14 PM - Andreas Miiller
- Description updated

#4 - 01/27/2017 03:32 PM - Walter Berendsohn

WGB: Habe wg. lat. Formulierung fur "missapplied acc. to" eine Anfrage an Greuter geschickt.

#5 - 01/30/2017 02:30 PM - Andreas Miiller
- Assignee changed from Katja Luther to Patrick Plitzner
- Priority changed from New to Priority14

- Target version changed from Unassigned CDM tickets to Release 4.6

#6 - 03/02/2017 11:04 AM - Andreas Miiller

- Related to feature request #6456: Make Misapplied names visible in concept relation view via configuration added

#7 - 03/10/2017 08:47 PM - Andreas Miuller

- Target version changed from Release 4.6 to Release 4.7

#8 - 04/07/2017 03:16 PM - Patrick Plitzner

- Related to feature request #6559: Order misapplied names in name editor added

#9 - 05/11/2017 10:22 AM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8

#10 - 05/31/2017 02:27 PM - Andreas Miiller

- Assignee changed from Patrick Plitzner to Katja Luther

#11 - 05/31/2017 02:28 PM - Andreas Miiller

- Related to feature request #6681: Correct formatting for misapplied names in name editor added

#12 - 05/31/2017 03:13 PM - Andreas Miiller

- Related to feature request #6682: Formatter and DTO for taxon relationships (e.g. misapplied names) added

#13 - 06/09/2017 04:48 PM - Andreas Miiller
AM

Details View:
+ ~~Err. Secundum bitte grof schreiben~~
+ ~~,TaxonRelationship Misappl. doubtful“ bitte “TaxonRelationship” streichen, damit kann niemand was anfangen
von den Usern.~~
+ ~~,TaxonRelationship Misappl. doubtful®” unter das Detail von Err. Secundum schieben, nicht unter das sensu D
etail~~

~~,Taxon is published” bitte umbenennen in “published” (sonst kdénnte es zu Missverstdndnissen fithren, was da
published ist) ~~
« Der titleCache wird noch nicht neu berechnet, bei Anderungen. Z.B. wenn ich den appendedPhrase &ndere.

Im Name Editor:

+ Fiillen der zweiten Zeile:
o ~~Wenn weder appended Phrase noch sensu gefiillt ist, sollte im Nameeditor dennoch auct. stehen~~
o ~~Wenn sensu gefiillt ist sollte dies mit dem Pr&fix ,sensu” dort stehen. ACHTUNG: derzeit steht dort ,SEC:

“

und das Feld wird fdlscher Weise mit der ,Err. Secundum”, muss aber mit der ,sensu” Referenz gefiillt werden.

o ~~Hinter allem sollte wenn moglich, falls der Name einen Autor hat, dieser noch mit Komma + ,non* separier
t stehen (also der nomenklatorische Autor, z.B. ,.., non L.“~~

04/20/2024 2/4



« Erste Zeile:

) ~~Hier sollte lediglich der NameCache, kein Namensautor stehen. Insbesondere auch nicht die nomenklatorisc
he Referenz.~~

(wir miissen noch sehen, wie wir das mit dem Parsen dann am besten machen, wenn mehr Informationen vorhanden si
nd) .

AuRerdem Details View:

~~ist mir aufgefallen, dass im Details View alles ab Nomenclatural Reference nicht mehr angezeigt wird. Ich we
iB nicht, wie wir das besprochen haben oder ob es ein Missverstdndnis war.

Gestrichen (also nicht angezeigt) werden sollte die nom. ref. im NameEditor, nicht im Details View. K&nnte man
zwar auch machen, halte ich aber nicht fir sinnvoll, da man bei Wiederverwendung von Namen schon diese in Ganz
e sehen konnen will, denke ich.~~

Supplemental Data:

+ Wenn ich auf den MA im Name Editor gehe, werden noch die Supplemental Data vom Taxon angezeigt, wenn ich auf
den Details View gehe, die von der TaxonRelationship. In beiden F&llen sollte erstmal die Relation angezeigt

werden.

+ Im Details View wdre es schdén, einen Bereich zu haben, den man klicken muss, um dann doch das Taxon angezeig

t zu bekommen. Ahnlich wie im Namensbereich des Details View.

+ Label: derzeit noch mit Class#i1d<UUID>, das ist unschén, ist beim ConceptRelationship View aber auch so. Fir
den Referencing Objects View gibt es schon ansetze diese richtig zu formatieren.

Nice 2 Haves:
+ Wie gesagt, die Auswahlt eines bestehenden Taxons

Nochwas ist mir aufgefallen: wenn man auf Misapplied Names geht im NameEditor werden bei den Factual Data und
Media, die vom Misapplied Name angezeigt. Das war wohl schon immer so; miisste man mal {iberlegen, ob man das wi
11. Andert sich ja vielleicht automatisch, wenn in den Supplemental Data dann die Relation und nicht mehr das
Taxon angezeigt wird.

#14 - 06/09/2017 05:28 PM - Andreas Miiller
- Status changed from New to In Progress

- % Done changed from 0 to 20

#15 - 06/09/2017 05:35 PM - Katja Luther
- Status changed from In Progress to New

- % Done changed from 20 to 0

Details View:

« Der titleCache wird noch nicht neu berechnet, bei Anderungen. Z.B. wenn ich den appendedPhrase &ndere.

Im Name Editor:

* Fullen der zweiten Zeile:

« Im Details View ware es schon, einen Bereich zu haben, den man klicken muss, um dann doch das Taxon angezeigt zu bekommen. Ahnlich wie im
Namensbereich des Details View.

« Label: derzeit noch mit Class#id, das ist unschon, ist beim ConceptRelationship View aber auch so. Fir den Referencing Objects View gibt es
schon ansetze diese richtig zu formatieren.
Nice 2 Haves:
» Wie gesagt, die Auswahlt eines bestehenden Taxons

Nochwas ist mir aufgefallen: wenn man auf Misapplied Names geht im NameEditor werden bei den Factual Data und Media, die vom Misapplied
Name angezeigt. Das war wohl schon immer so; miisste man mal Giberlegen, ob man das will. Andert sich ja vielleicht automatisch, wenn in den
Supplemental Data dann die Relation und nicht mehr das Taxon angezeigt wird.

#16 - 07/04/2017 12:57 PM - Katja Luther

Nochwas ist mir aufgefallen: wenn man auf Misapplied Names geht im NameEditor werden bei den Factual Data und Media, die vom Misapplied
Name angezeigt. Das war wohl schon > immer so; misste man mal Uberlegen, ob man das will. Andert sich ja vielleicht automatisch, wenn in
den Supplemental Data dann die Relation und nicht mehr das Taxon angezeigt wird.

factual and media view are now disabled. | think this is more reasonable.

#17 - 07/06/2017 10:08 PM - Andreas Miiller

- Status changed from New to In Progress
Please split remaining issues into new ticket and close this one

#18 - 07/07/2017 08:50 PM - Andreas Miiller

- Severity changed from normal to blocker

For misapplied names we have the taxon secundum of the misapplied name (which should be labeled to "sensu" instead of secundum here).
Additionally we have the concept relationships reference which might be labeled something like (misappl. sec. - but better use 1 language only).

This is implemented the wrong way! Currently the reference labeled sensu goes into the concept relationship reference while the Err. Secundum
reference goes into TaxonBase.sec. But it should be the other way round.

Please also switch the according "Detail" fields AND adapt the NameEditor accordingly.

#19 - 07/07/2017 08:50 PM - Andreas Miiller
- Priority changed from Priority14 to Highest

#20 - 07/07/2017 09:20 PM - Andreas Miiller

- Precedes bug #6789: Remaining issues for misapplied name details view added

#21 - 07/07/2017 09:21 PM - Andreas Miiller

I moved remaining issues to new ticket #6789. Can you please double check if | forgot something.

#22 - 07/11/2017 12:05 PM - Andreas Miiller

- Status changed from In Progress to Resolved
| set to resolved as open issues were moved to new ticket. But please double check.

#23 - 07/21/2017 11:45 AM - Katja Luther

- Status changed from Resolved to Closed

#24 - 01/25/2018 09:44 AM - Andreas Muller

- Related to feature request #7215: Implement pro parte misapplied names in TaxEditor added

#25 - 04/27/2018 10:43 AM - Andreas Miiller
- Related to bug #7378: doubtful in misapplied names incorrect added
